set -x

if ! command -v brew &> /dev/null; then
	xcode-select --install      # 安装 Git
	/bin/zsh -c "$(curl -fsSL https://gitee.com/cunkai/HomebrewCN/raw/master/Homebrew.sh)"
fi

if ! command -v fish &>/dev/null; then
	echo "Installing fish..."
	brew install fish
	echo "/opt/homebrew/bin/fish" | sudo tee -a /etc/shell
	chsh -s /opt/homebrew/bin/fish
fi

brew install stow

cd ~/Documents/.vvconfig
stow . -t ~
# Install Brew
brew bundle --file="~/.config/Brewfile"
